/*
	$Id: resource_tokenizer.h,v 1.2 2003/08/22 20:26:21 grumbel Exp $

	------------------------------------------------------------------------
	ClanLib, the platform independent game SDK.

	This library is distributed under the GNU LIBRARY GENERAL PUBLIC LICENSE
	version 2. See COPYING for details.

	For a total list of contributers see CREDITS.

	------------------------------------------------------------------------
*/

#ifndef RESOURCE_TOKENIZER_H_
#define RESOURCE_TOKENIZER_H_

#include <vector>
#include <string>

class ResourceTokenizer
{
public:
	ResourceTokenizer(std::vector<char>& buffer);
	~ResourceTokenizer();

	bool is_space(char c);
	bool is_operator(char c);
	bool is_remark(char c, int position);
	std::string get_next_token();
	std::string write_error(std::string err_msg);

private:
	int cur_pos, cur_line;
	int total_size;
	std::vector<char>& config_file_data;
	bool in_remark;
};

#endif
